Skip to main content
GET
List Activity Events

Headers

API-Version
string

Pin request, response, and webhook shapes to a specific dated API version (YYYY-MM-DD). Omit to use the version pinned to your API key (set when the key is created; new keys default to the latest version). New integrations should target the latest version.

Pattern: ^\d{4}-\d{2}-\d{2}$
Example:

"2026-07-06"

Query Parameters

pageIndex
number
default:0

Zero-based page index. 0 returns the first page.

Example:

0

pageSize
number
default:10

Number of items per page

Required range: 5 <= x <= 100
Example:

10

dateFrom
string<date-time>

Filter from date (will be converted to start of day in UTC)

Example:

"2025-01-01"

dateTo
string<date-time>

Filter to date (will be converted to end of day in UTC). Requires dateFrom.

Example:

"2025-12-31"

type
enum<string>[]

Filter by one or more activity event types. Repeat the query parameter to pass multiple values, e.g. ?type=VP_VERIFIED&type=VP_VERIFICATION_DENIED.

Available options:
REQUEST_CREATED,
REQUEST_CANCELED,
VP_CREATED,
VP_DENIED,
VP_VERIFIED,
VP_VERIFICATION_DENIED,
USER_DECISION_ACCEPTED,
USER_DECISION_REJECTED,
MANDATE_ISSUED,
MANDATE_REVOKED,
KYC_ACCEPTED,
KYC_REJECTED,
APIKEY_VERSION_CHANGED,
APIKEY_CREATED,
APIKEY_SECRETS_ROTATED,
APIKEY_REVOKED
Example:
entityType
string

Filter by the broad entity class the event was emitted against (e.g. "credential", "request", "veriff", "apiKey").

Example:

"credential"

entityId
string

Filter by a specific entity id (must be a valid MongoDB ObjectId).

Example:

"507f1f77bcf86cd799439011"

actorDid
string

Filter by the DID of the actor that triggered the event.

Example:

"did:web:humanos.tech:org:550e8400-e29b-41d4-a716-446655440000"

subjectDid
string

Filter by the DID of the subject affected by the event.

Example:

"did:web:humanos.tech:user:73ebefdd-a549-4873-aad9-def80c40c8c8"

Response

200 - application/json

Returns a page of activity events plus the total number of pages available for the current filters.

data
object[]
required

Page of activity events matching the query, ordered by createdAt descending.

totalPages
number
required

Total number of pages available based on the page size and total count.

Example:

5